cURL
curl --request PUT \ --url https://app.getpaperjet.com/api/v1/admin/models/update \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "id": "<string>", "provider": "google", "providerApiKey": "<string>", "modelName": "<string>", "isCore": true, "isVision": true, "displayName": "<string>", "baseUrl": "<string>" } '
{ "success": true, "model": { "id": "<string>", "provider": "<string>", "modelName": "<string>", "displayName": "<string>", "providerApiKey": "<string>", "baseUrl": "<string>" } }
Update an existing model
Documentation IndexFetch the complete documentation index at: https://docs.getpaperjet.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.getpaperjet.com/llms.txt
Use this file to discover all available pages before exploring further.
google
openai
openrouter
custom
1
Model updated successfully
Show child attributes
Was this page helpful?